Skip to main content
POST
/
workspaces
/
{wid}
/
members
Add member to workspace
curl --request POST \
  --url https://api.gologin.com/workspaces/{wid}/members \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "emails": [
    "<string>"
  ],
  "limitedAccess": true,
  "folders": [
    {
      "name": "<string>",
      "role": {}
    }
  ],
  "workspaceName": "<string>"
}
'
import requests

url = "https://api.gologin.com/workspaces/{wid}/members"

payload = {
"emails": ["<string>"],
"limitedAccess": True,
"folders": [
{
"name": "<string>",
"role": {}
}
],
"workspaceName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
emails: ['<string>'],
limitedAccess: true,
folders: [{name: '<string>', role: {}}],
workspaceName: '<string>'
})
};

fetch('https://api.gologin.com/workspaces/{wid}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

wid
string
required

Workspace ID

Body

application/json
emails
string[]
required
limitedAccess
boolean
required
role
enum<string>
required
Available options:
owner,
admin,
editor,
guest
folders
object[]
workspaceName
string

Response

201 - undefined